Listar las alertas de seguridad
GET/api/public/v1/alerts
Paginated list of in-app security alerts (notifications with type_key='security_alert_raised') joined with their underlying verdict + agent metadata. Filters: severity[], tool_name[], agent_platform[], agent_label[], rule_id[], status[] (unread/read/dismissed), timestamp_gte/timestamp_lte. Search: ?search=<term> matches title, body, and rule_id. Sort keys: created_at (default), title, final_severity, tool_name, agent_label, status.
curl --fail-with-body -X GET 'https://app.openlatch.ai/api/public/v1/alerts' \ -H "Authorization: Bearer $OPENLATCH_API_KEY"import jsonimport osimport urllib.request
request = urllib.request.Request( 'https://app.openlatch.ai/api/public/v1/alerts', method='GET', headers={ 'Authorization': 'Bearer ' + os.environ['OPENLATCH_API_KEY'], },)with urllib.request.urlopen(request) as response: text = response.read().decode() print(json.dumps(json.loads(text), indent=2) if text else response.status)#!/usr/bin/env bashset -euo pipefail
curl -sS --fail-with-body -X GET 'https://app.openlatch.ai/api/public/v1/alerts' \ -H "Authorization: Bearer $OPENLATCH_API_KEY" | jq .$headers = @{ Authorization = "Bearer $env:OPENLATCH_API_KEY"}Invoke-RestMethod -Method GET -Uri 'https://app.openlatch.ai/api/public/v1/alerts' -Headers $headers | ConvertTo-Json -Depth 20Autorización
Sección titulada «Autorización»| Rol en la organización | Este punto de conexión |
|---|---|
owner | Permitido |
admin | Permitido |
editor | Permitido |
viewer | Permitido |
Una clave tiene el rol que su propietario ocupa en la organización. Consulte Autenticación.
Ámbito de la clave de API: alerts:read
Parámetros de consulta
Sección titulada «Parámetros de consulta»| Parámetro | Tipo | Descripción |
|---|---|---|
search | string or null | |
severity | array of string or null | |
tool_name | array of string or null | |
agent_platform | array of string or null | |
agent_label | array of string or null | |
rule_id | array of string or null | |
status | array of string or null | |
timestamp_gte | string (date-time) or null | |
timestamp_lte | string (date-time) or null | |
sort_by | string | |
sort_order | string — one of asc, desc | |
page | integer | |
page_size | integer |
Respuesta
Sección titulada «Respuesta»- 200 OK — la llamada se completó correctamente.
- 401 Unauthorized —
UNAUTHORIZED - 402 Payment Required —
license_expired - 403 Forbidden —
FEATURE_DISABLED,FORBIDDEN,INSUFFICIENT_SCOPE - 422 Unprocessable Content —
INVALID_ID,VALIDATION_ERROR - 429 Too Many Requests —
TOO_MANY_REQUESTS - 500 Internal Server Error —
INTERNAL_SERVER_ERROR,tenant_isolation_violation - 503 Service Unavailable —
FEATURE_STATE_UNAVAILABLE,SERVICE_UNAVAILABLE
Campos de la respuesta
Sección titulada «Campos de la respuesta»| Campo | Tipo | Descripción |
|---|---|---|
data | array of object | Obligatorio. |
data[].agent_id | string or null | |
data[].agent_label | string or null | |
data[].agent_platform | string or null | |
data[].body | string or null | |
data[].created_at | string (date-time) | Obligatorio. |
data[].detection_tool_slug | string or null | |
data[].event_id | string or null | |
data[].final_severity | string — one of low, medium, high, critical or null | |
data[].final_verdict | string or null | |
data[].is_test | boolean | |
data[].notification_id | string (uuid) | Obligatorio. |
data[].rule_id | string or null | |
data[].status | string — one of unread, read, dismissed | Obligatorio. |
data[].title | string | Obligatorio. |
data[].tool_name | string or null | |
page | integer | Obligatorio. |
page_size | integer | Obligatorio. |
total | integer | Obligatorio. |
Ejemplo de respuesta
Sección titulada «Ejemplo de respuesta»{ "data": [ { "agent_id": "agt_01jbwa2k1vfrn9y42xhgxhmzj2", "agent_label": "string", "agent_platform": "string", "body": "string", "created_at": "2026-01-15T14:32:05Z", "detection_tool_slug": "string", "event_id": "evt_01jbwa2k1vfrn9y42xhgxhmzj2", "final_severity": "low", "final_verdict": "string", "is_test": false, "notification_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10", "rule_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10", "status": "unread", "title": "string", "tool_name": "release-bot" } ], "page": 1, "page_size": 3, "total": 3}